Subject: RE: bug#39847: Document how users can make text-zoom keys same as browser

From: Drew Adams <[email-masked]>
Date: Tue, 3 Mar 2020 12:24:28 -0800 (PST)

> >> I also wished that C-+ and C-- would scale
> >> the screen, just a few months ago.
> >>
> >> Perhaps we don't need C-- to make the argument negative.
> >> Perhaps it is enough that M-- does that.
> >
> > My preference would be against doing that.
> > It's true that `M--' does the same thing -
> > so we may not _need_ `C--'.  But Control
> > is very handy for prefix args.
> 
> I suggest binding this to s-- and s-+.  Would that be an acceptable
> compromise?  It would be backwards compatible, and these keys are
> currently unbound.

If you're asking me, then my answer is no.  I
don't see how it would be a compromise (at all),
and I don't see how it would be backward
compatible.  How so?

My reasons against this proposal:

1. It doesn't help with the argument currently
   being given, which is that users are used to
   `C-+/-'.  `s-+/-' doesn't help at all, given
   such a habit, does it?

2. We already have `C-x +/-'.  Why would we need
   or want two such sets of keys, by default?

3. Given the choice (if we were to pick only one)
   between `C-x +/-' and `s-+/-', the former is
   better, IMO:

   a. It's been the default binding for a long time;
      Emacs users are already used to it.
   b. Some platforms may not have a `Super' modifier
      key, by default.
   c. Using a repeatable key (`+/-') that's on a
      prefix key doesn't waste a repeatable key that's
      not on a prefix key.  IOW, if on a prefix key,
      `+/-' remains available without the prefix key,
      for some other repeatable action (by "repeatable",
      here, I mean by just holding down a key).
   d. If `+/-' is on keymap `ctl-x-map' then it's easy
      to move or copy it and the other keys on that
      map to another prefix key.

Just one opinion.